# -*- coding: utf-8 -*-
from setuptools import setup

packages = \
['deutschland',
 'deutschland.smard',
 'deutschland.smard.api',
 'deutschland.smard.apis',
 'deutschland.smard.model',
 'deutschland.smard.models']

package_data = \
{'': ['*']}

install_requires = \
['python-dateutil', 'urllib3>=1.25.3']

setup_kwargs = {
    'name': 'de-smard',
    'version': '0.1.0',
    'description': 'Bundesnetzagentur Strommarktdaten',
    'long_description': '# smard\nBundesnetzagentur Strommarktdaten\n\nThis Python package is automatically generated by the [OpenAPI Generator](https://openapi-generator.tech) project:\n\n- API version: 0.0.1\n- Package version: 0.1.0\n- Build package: org.openapitools.codegen.languages.PythonClientCodegen\n\n## Requirements.\n\nPython >= 3.6\n\n## Installation & Usage\n### pip install\n\n```sh\npip install deutschland[smard]\n```\n\n### poetry install\n\n```sh\npoetry add deutschland -E smard\n```\n\n### Setuptools\n\nInstall via [Setuptools](http://pypi.python.org/pypi/setuptools).\n\n```sh\npython setup.py install --user\n```\n(or `sudo python setup.py install` to install the package for all users)\n\n## Usage\n\nImport the package:\n```python\nfrom deutschland import smard\n```\n\n## Getting Started\n\nPlease follow the [installation procedure](#installation--usage) and then run the following:\n\n```python\n\nimport time\nfrom deutschland import smard\nfrom pprint import pprint\nfrom deutschland.smard.api import default_api\nfrom deutschland.smard.model.indices import Indices\nfrom deutschland.smard.model.time_series import TimeSeries\n# Defining the host is optional and defaults to https://www.smard.de/app/chart_data\n# See configuration.py for a list of all supported configuration parameters.\nconfiguration = smard.Configuration(\n    host = "https://www.smard.de/app/chart_data"\n)\n\n\n\n# Enter a context with an instance of the API client\nwith smard.ApiClient(configuration) as api_client:\n    # Create an instance of the API class\n    api_instance = default_api.DefaultApi(api_client)\n    filter = 1223 # int | Mögliche Filter:   * `1223` - Stromerzeugung: Braunkohle   * `1224` - Stromerzeugung: Kernenergie   * `1225` - Stromerzeugung: Wind Offshore   * `1226` - Stromerzeugung: Wasserkraft   * `1227` - Stromerzeugung: Sonstige Konventionelle   * `1228` - Stromerzeugung: Sonstige Erneuerbare   * `4066` - Stromerzeugung: Biomasse   * `4067` - Stromerzeugung: Wind Onshore   * `4068` - Stromerzeugung: Photovoltaik   * `4069` - Stromerzeugung: Steinkohle   * `4070` - Stromerzeugung: Pumpspeicher   * `4071` - Stromerzeugung: Erdgas   * `410` - Stromverbrauch: Gesamt (Netzlast)   * `4359` - Stromverbrauch: Residuallast   * `4387` - Stromverbrauch: Pumpspeicher \nfilter_copy = 1223 # int | Muss dem Wert von \\"filter\\" entsprechen. (Kaputtes API-Design) \nregion = "DE" # str | Land / Regelzone / Marktgebiet:   * `DE` - Land: Deutschland   * `AT` - Land: Österreich   * `LU` - Land: Luxemburg   * `DE-LU` - Marktgebiet: DE/LU (ab 01.10.2018)   * `DE-AT-LU` - Marktgebiet: DE/AT/LU (bis 30.09.2018)   * `50Hertz` - Regelzone (DE): 50Hertz   * `Amprion`- Regelzone (DE): Amprion   * `TenneT` - Regelzone (DE): TenneT   * `TransnetBW` - Regelzone (DE): TransnetBW   * `APG` - Regelzone (AT): APG   * `Creos` - Regelzone (LU): Creos  (default to "DE")\nregion_copy = "DE" # str | Muss dem Wert von \\"region\\" entsprechen. (Kaputtes API-Design) \nresolution = "hour" # str | Auflösung der Daten:   * `hour` - Stündlich   * `quarterhour` - Viertelstündlich   * `day` - Täglich   * `week` - Wöchentlich   * `month` - Monatlich   * `year` - Jährlich  (default to "hour")\ntimestamp = 1 # int | \n\n    try:\n        # Zeitreihendaten\n        api_response = api_instance.filter_region_filter_copy_region_copy_resolution_timestamp_json_get(filter, filter_copy, region, region_copy, resolution, timestamp)\n        pprint(api_response)\n    except smard.ApiException as e:\n        print("Exception when calling DefaultApi->filter_region_filter_copy_region_copy_resolution_timestamp_json_get: %s\\n" % e)\n```\n\n## Documentation for API Endpoints\n\nAll URIs are relative to *https://www.smard.de/app/chart_data*\n\nClass | Method | HTTP request | Description\n------------ | ------------- | ------------- | -------------\n*DefaultApi* | [**filter_region_filter_copy_region_copy_resolution_timestamp_json_get**](docs/DefaultApi.md#filter_region_filter_copy_region_copy_resolution_timestamp_json_get) | **GET** /{filter}/{region}/{filterCopy}_{regionCopy}_{resolution}_{timestamp}.json | Zeitreihendaten\n*DefaultApi* | [**filter_region_index_resolution_json_get**](docs/DefaultApi.md#filter_region_index_resolution_json_get) | **GET** /{filter}/{region}/index_{resolution}.json | Indizes\n\n\n## Documentation For Models\n\n - [Indices](docs/Indices.md)\n - [TimeSeries](docs/TimeSeries.md)\n - [TimeSeriesMetaData](docs/TimeSeriesMetaData.md)\n\n\n## Documentation For Authorization\n\n All endpoints do not require authorization.\n\n## Author\n\nkontakt@bund.dev\n\n\n## Notes for Large OpenAPI documents\nIf the OpenAPI document is large, imports in smard.apis and smard.models may fail with a\nRecursionError indicating the maximum recursion limit has been exceeded. In that case, there are a couple of solutions:\n\nSolution 1:\nUse specific imports for apis and models like:\n- `from deutschland.smard.api.default_api import DefaultApi`\n- `from deutschland.smard.model.pet import Pet`\n\nSolution 2:\nBefore importing the package, adjust the maximum recursion limit as shown below:\n```\nimport sys\nsys.setrecursionlimit(1500)\nfrom deutschland import smard\nfrom deutschland.smard.apis import *\nfrom deutschland.smard.models import *\n```\n\n',
    'author': 'BundesAPI',
    'author_email': 'kontakt@bund.dev',
    'maintainer': None,
    'maintainer_email': None,
    'url': 'https://github.com/bundesAPI/smard-api',
    'packages': packages,
    'package_data': package_data,
    'install_requires': install_requires,
    'python_requires': '>=3.6',
}


setup(**setup_kwargs)
